StatementEvent (Java Platform SE 8 )
Keywords: javax.sql.StatementEvent class
Date: 2026-04-17

compact2, compact3
javax.sql

## Class StatementEvent

- java.lang.Object
- - java.util.EventObject
  - - javax.sql.StatementEvent

- All Implemented Interfaces:
    Serializable

      public class StatementEvent
      extends EventObject

  A `StatementEvent` is sent to all `StatementEventListener`s which were registered with a `PooledConnection`. This occurs when the driver determines that a `PreparedStatement` that is associated with the `PooledConnection` has been closed or the driver determines is invalid.

  Since:
    1.6
  See Also:
    Serialized Form

- - ### Field Summary

    - ### Fields inherited from class java.util.EventObject

      `source`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `StatementEvent(PooledConnection con, PreparedStatement statement)` Constructs a `StatementEvent` with the specified `PooledConnection` and `PreparedStatement`.
    `StatementEvent(PooledConnection con, PreparedStatement statement, SQLException exception)` Constructs a `StatementEvent` with the specified `PooledConnection`, `PreparedStatement` and `SQLException`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `SQLException` | `getSQLException()` Returns the `SQLException` the driver is about to throw
    `PreparedStatement` | `getStatement()` Returns the `PreparedStatement` that is being closed or is invalid

    - ### Methods inherited from class java.util.EventObject

      `getSource, toString`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

- - ### Constructor Detail

    - #### StatementEvent

          public StatementEvent(PooledConnection con,
                                PreparedStatement statement)

      Constructs a `StatementEvent` with the specified `PooledConnection` and `PreparedStatement`. The `SQLException` contained in the event defaults to null.

      Parameters:
        `con` - The `PooledConnection` that the closed or invalid `PreparedStatement`is associated with.
        `statement` - The `PreparedStatement` that is being closed or is invalid

      Throws:
        `IllegalArgumentException` - if `con` is null.
      Since:
        1.6

    - #### StatementEvent

          public StatementEvent(PooledConnection con,
                                PreparedStatement statement,
                                SQLException exception)

      Constructs a `StatementEvent` with the specified `PooledConnection`, `PreparedStatement` and `SQLException`

      Parameters:
        `con` - The `PooledConnection` that the closed or invalid `PreparedStatement` is associated with.
        `statement` - The `PreparedStatement` that is being closed or is invalid
        `exception` - The `SQLException` the driver is about to throw to the application
      Throws:
        `IllegalArgumentException` - if `con` is null.

      Since:
        1.6

  - ### Method Detail

    - #### getStatement

          public PreparedStatement getStatement()

      Returns the `PreparedStatement` that is being closed or is invalid

      Returns:
        The `PreparedStatement` that is being closed or is invalid

      Since:
        1.6

    - #### getSQLException

          public SQLException getSQLException()

      Returns the `SQLException` the driver is about to throw

      Returns:
        The `SQLException` the driver is about to throw

      Since:
        1.6

Submit a bug or feature
For further API reference and developer documentation, see Java SE Documentation. That documentation contains more detailed, developer-targeted descriptions, with conceptual overviews, definitions of terms, workarounds, and working code examples.
Copyright © 1993, 2026, Oracle and/or its affiliates. All rights reserved. Use is subject to license terms. Also see the documentation redistribution policy.